Bug 325471 - [RHEL 5.2] Xen 3.1.1 error checking and reporting fixes
[RHEL 5.2] Xen 3.1.1 error checking and reporting fixes
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
Depends On:
  Show dependency treegraph
Reported: 2007-10-09 15:30 EDT by Cole Robinson
Modified: 2009-12-14 16:25 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-18 12:09:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Cole Robinson 2007-10-09 15:30:20 EDT
The following are a list of changesets of error checking and error reporting
fixes  from xen-3.1-testing.hg. They have all been looked over and recommended
by at least one person for inclusion in RHEL 5.2.

  15101 - Give the user more info when failing blktap start
  15111 - xend: properly stop a managed guest if hotplug scripts fail
  15116 - Attempt to set up tap interface 3 times to avoid potential kernel bug
  15123 - improve xm restore error handling
  15244 - Missing range check on count field for restore
  15245 - Missing range check on page for restore
  15168 - xenstored check vasprintf return codes
  15170 - don't give up on dom0 auto ballooning unless there is no response
  15180 - fix asprintf error checking in console and blktap
  15269 - xm network-detach arg validation fix
  15270 - xm: Fix xm block-detach error message duplication
  15329 - xenstore: make sure to fire releaseDomain when domain is destroyed
  15331 - xenstored: shutdown connection on zero byte read
  15335 - xenstored: Do not write to stderr if we are daemonised!
  15336 - xenstore: Do not assign to stdout/stderr/stdin
  15337 - xenstore: Redirect stdin/stdout/stderr to /dev/null.
  15364 - xm: Fix wrong error message for xm create command.
  15377 - xend: Add blktap disk type validation check
  15381 - Fix xenstored's dup2() usage. Depends on 15337

Any comments welcome!
Comment 1 RHEL Product and Program Management 2007-10-15 23:35:16 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 3 Daniel Berrange 2008-01-18 12:09:14 EST
If we want any of these fixes we need patches for each fix which cleanly apply
to our Xen 3.0.3 stack. It is not possible to simply cherry pick the upstream
fixes. So I'm closing this WONTFIX. If any are required open a BZ for each
desired item and provide the associated patch 

Note You need to log in before you can comment on or make changes to this bug.